PrefabFiles = {
	"whiskers",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/whiskers.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/whiskers.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/whiskers.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/whiskers.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/whiskers_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/whiskers_silho.xml" ),

    Asset( "IMAGE", "bigportraits/whiskers.tex" ),
    Asset( "ATLAS", "bigportraits/whiskers.xml" ),
	
	Asset( "IMAGE", "images/map_icons/whiskers.tex" ),
	Asset( "ATLAS", "images/map_icons/whiskers.xml" ),

	Asset("SOUNDPACKAGE", "sound/whiskers.fev"),
	Asset("SOUND", "sound/whiskers.fsb"),
}

RemapSoundEvent( "dontstarve/characters/whiskers/death_voice", "whiskers/whiskers/death_voice" )
RemapSoundEvent( "dontstarve/characters/whiskers/hurt", "whiskers/whiskers/hurt" )
RemapSoundEvent( "dontstarve/characters/whiskers/talk_LP", "whiskers/whiskers/talk_LP" )

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.whiskers = "The Fancy Feline"
GLOBAL.STRINGS.CHARACTER_NAMES.whiskers = "Whiskers"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.whiskers = "*Is Fast\n*Gets Hungry Very Fast\n* Is a Cat"
GLOBAL.STRINGS.CHARACTER_QUOTES.whiskers = "\"Meow\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.WHISKERS = require "speech_whiskers"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "whiskers")


AddMinimapAtlas("images/map_icons/whiskers.xml")
AddModCharacter("whiskers")

